<?php

/**
 * Plugin Name: User Avatars for bbPress
 * Author:      J.D. Grimes
 * Author URI:  http://codesymphony.co/
 * Plugin URI:  http://codesymphony.co/integrating-user-avatar-with-bbpress/
 * Version:     1.0
 * Description: Add user avatar support to bbPress.
 */

add_action( 'show_user_profile', 'my_bbpress_user_avatars' );
add_action( 'edit_user_profile', 'my_bbpress_user_avatars' );
function my_bbpress_user_avatars( $user )
{
    ?>

    <style>
       .button-primary, .submitdelete{
        display: inline-block;
        text-decoration: none;
        font-size: 12px;
        line-height: 23px;
        height: 24px;
        margin: 0px;
        padding: 0px 10px 1px;
        cursor: pointer;
        border-width: 1px;
        border-style: solid;
        border-radius: 3px 3px 3px 3px;
        white-space: nowrap;
        -moz-box-sizing: border-box;
        background-color: rgb(33, 117, 155);
        background-image: linear-gradient(to bottom, rgb(42, 149, 197), rgb(33, 117, 155));
        border-color: rgb(33, 117, 155) rgb(33, 117, 155) rgb(30, 106, 141);
        box-shadow: 0px 1px 0px rgba(120, 200, 230, 0.5) inset;
        color: rgb(255, 255, 255) !important;
        text-shadow: 0px 1px 0px rgba(0, 0, 0, 0.1);
       }
       .submitdelete{
        background-image: linear-gradient(to bottom, #ddd, #bbb);
        color: #333 !important;
        border-color: #888;
        box-shadow: 0px 1px 0px white inset;
       }
    </style>

    <?php

    wp_enqueue_style( 'thickbox' );
    wp_enqueue_style( 'imgareaselect' );
    wp_enqueue_script( 'thickbox' );
    wp_enqueue_script( 'imgareaselect' );
}
